Java (SDK)
package hello.world;
import java.lang.Exception;
import java.util.Map;
import org.openapis.openapi.AriesJava;
import org.openapis.openapi.models.errors.*;
import org.openapis.openapi.models.operations.UpdateUserSettingResponse;
public class Application {
public static void main(String[] args) throws BadRequestException, UnauthorizedException, InternalServerError, Exception {
AriesJava sdk = AriesJava.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
UpdateUserSettingResponse res = sdk.userSettings().update()
.category("trading")
.body(Map.ofEntries(
Map.entry("theme", "light"),
Map.entry("auto_trading", false),
Map.entry("max_position_size", 15000L)))
.call();
if (res.object().isPresent()) {
// handle response
}
}
}curl --request PUT \
--url https://api.tradearies.dev/v1/config/{category}/user-settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"theme": "light",
"auto_trading": false,
"max_position_size": 15000
}
'import requests
url = "https://api.tradearies.dev/v1/config/{category}/user-settings"
payload = {
"theme": "light",
"auto_trading": False,
"max_position_size": 15000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({theme: 'light', auto_trading: false, max_position_size: 15000})
};
fetch('https://api.tradearies.dev/v1/config/{category}/user-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "User settings updated successfully"
}{
"error": "User setting update error",
"codes": [
{
"code": "USER_SETTING_UPDATE_ERROR",
"description": "User setting update error"
}
]
}{
"error": "Unauthorized"
}{
"error": "Internal server error"
}User Settings
Update User Setting
Update existing user settings for a category.
Requires bearer token authentication
PUT
/
v1
/
config
/
{category}
/
user-settings
Java (SDK)
package hello.world;
import java.lang.Exception;
import java.util.Map;
import org.openapis.openapi.AriesJava;
import org.openapis.openapi.models.errors.*;
import org.openapis.openapi.models.operations.UpdateUserSettingResponse;
public class Application {
public static void main(String[] args) throws BadRequestException, UnauthorizedException, InternalServerError, Exception {
AriesJava sdk = AriesJava.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
UpdateUserSettingResponse res = sdk.userSettings().update()
.category("trading")
.body(Map.ofEntries(
Map.entry("theme", "light"),
Map.entry("auto_trading", false),
Map.entry("max_position_size", 15000L)))
.call();
if (res.object().isPresent()) {
// handle response
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Category of the setting (e.g., 'display', 'trading', 'notifications')
Body
application/json
User settings data to update as key-value pairs
The body is of type object.
Response
User settings updated successfully
Was this page helpful?
⌘I